## net-tools 1.60+git20161116.90da8a0

=== Makefile ===
#
# Makefile	Main Makefile for the net-tools Package
#
# NET-TOOLS	A collection of programs that form the base set of the
#		NET-3 Networking Distribution for the LINUX operating
#		system.
#
# Author:	Bernd Eckenfels <net-tools@lina.inka.de>
#		Copyright 1995-1996 Bernd Eckenfels, Germany
#
# URLs:		http://net-tools.sourceforge.net/
#
# Based on:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1988-1993 MicroWalt Corporation
#
# Modifications:
#		Extensively modified from 01/21/94 onwards by
#		Alan Cox <A.Cox@swansea.ac.uk>
#		Copyright 1993-1994 Swansea University Computer Society
#
# Be careful!
# This Makefile doesn't describe complete dependencies for all include files.
# If you change include files you might need to do make clean.
#

# set the base of the Installation
# BASEDIR = /mnt
BASEDIR ?= $(DESTDIR)
BINDIR ?= /bin
SBINDIR ?= /sbin

# path to the net-lib support library. Default: lib
NET_LIB_PATH = lib
NET_LIB_NAME = net-tools

PROGS	:= ifconfig netstat route nameif

-include config.make
ifeq ($(HAVE_ARP_TOOLS),1)
PROGS	+= arp rarp
endif
ifeq ($(HAVE_HOSTNAME_TOOLS),1)
PROGS	+= hostname
endif
ifeq ($(HAVE_IP_TOOLS),1)
PROGS   += iptunnel ipmaddr
endif
ifeq ($(HAVE_MII),1)
PROGS	+= mii-tool
endif
ifeq ($(HAVE_PLIP_TOOLS),1)
PROGS	+= plipconfig
endif
ifeq ($(HAVE_SERIAL_TOOLS),1)
PROGS	+= slattach
endif

# Compiler and Linker Options
CFLAGS ?= -O2 -g
CFLAGS += -Wall
CFLAGS += -fno-strict-aliasing # code needs a lot of work before strict aliasing is safe
CPPFLAGS += -D_GNU_SOURCE
# Turn on transparent support for LFS
CPPFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE

ifeq ($(HAVE_AFDECnet),1)
DNLIB = -ldnet
endif

ifeq ($(origin CC), undefined)
CC	= gcc
endif
LD	= $(CC)
PKG_CONFIG ?= pkg-config

# -------- end of user definitions --------

MAINTAINER = net-tools-devel@lists.sourceforge.net
RELEASE	   = 2.10-alpha

.EXPORT_ALL_VARIABLES:

ifeq ("$(NET_LIB_PATH)","lib2")
TOPDIR   = ..
else
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
endif

NET_LIB = $(NET_LIB_PATH)/lib$(NET_LIB_NAME).a

ifeq ($(HAVE_SELINUX),1)
SE_PC_CFLAGS := $(shell $(PKG_CONFIG) --cflags libselinux)
SE_PC_LIBS := $(shell $(PKG_CONFIG) --libs libselinux || echo -lselinux)
SELIB = $(SE_PC_LIBS)
CPPFLAGS += $(SE_PC_CFLAGS)
endif

CPPFLAGS += -I. -I$(TOPDIR)/include -I$(NET_LIB_PATH)
LDFLAGS  += -L$(NET_LIB_PATH)

SUBDIRS	= man/ $(NET_LIB_PATH)/

NLIB	= -l$(NET_LIB_NAME)

%.o:		%.c config.h version.h intl.h lib/net-features.h $<
		$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

all:		config.h version.h subdirs $(PROGS)

config: 	cleanconfig config.h

install:	all savebin installbin installdata

update: 	all installbin installdata

mostlyclean:
		rm -f -- *.o DEADJOE config.new *~ *.orig lib/*.o

clean: mostlyclean
		rm -f -- $(PROGS)
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clean) ; done
		@cd po && $(MAKE) clean

cleanconfig:
		rm -f -- config.h

clobber: 	clean
		rm -f -- $(PROGS) config.h version.h config.status config.make
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clobber) ; done


dist:
		rm -rf -- net-tools-$(RELEASE)
		git archive --prefix=net-tools-$(RELEASE)/ HEAD | tar xf -
		$(MAKE) -C net-tools-$(RELEASE)/po $@
		tar cf - net-tools-$(RELEASE)/ | xz > net-tools-$(RELEASE).tar.xz
		rm -rf -- net-tools-$(RELEASE)

distcheck:	dist
		tar xf net-tools-$(RELEASE).tar.xz
		yes "" | $(MAKE) -C net-tools-$(RELEASE) config
		$(MAKE) -C net-tools-$(RELEASE)
		rm -rf -- net-tools-$(RELEASE)
		@printf "\nThe tarball is ready to go:\n%s\n" "`du -b net-tools-$(RELEASE).tar.xz`"

config.h: 	config.in Makefile
		@echo "Configuring the Linux net-tools (NET-3 Base Utilities)..." ; echo
		@if [ config.status -nt config.in ]; \
			then ./configure.sh config.status; \
		   else ./configure.sh config.in; \
		 fi


version.h:	Makefile
		@echo "#define RELEASE \"net-tools $(RELEASE)\"" >version.h


$(NET_LIB):	config.h version.h intl.h libdir

i18n.h:		i18ndir

libdir:		version.h
		@$(MAKE) -C $(NET_LIB_PATH)

i18ndir:
		@$(MAKE) -C po

# use libdir target for lib/ to avoid parallel build issues
subdirs:	libdir
		@for i in $(SUBDIRS:$(NET_LIB_PATH)/=); do $(MAKE) -C $$i || exit $$? ; done

ifconfig:	$(NET_LIB) ifconfig.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ ifconfig.o $(NLIB) $(LDLIBS)

nameif:		$(NET_LIB) nameif.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ nameif.o $(NLIB) $(LDLIBS)

hostname:	hostname.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ hostname.o $(DNLIB) $(LDLIBS)

route:		$(NET_LIB) route.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ route.o $(NLIB) $(LDLIBS)

arp:		$(NET_LIB) arp.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ arp.o $(NLIB) $(LDLIBS)

rarp:		$(NET_LIB) rarp.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ rarp.o $(NLIB) $(LDLIBS)

slattach:	$(NET_LIB) slattach.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ slattach.o $(NLIB) $(LDLIBS)

plipconfig:	$(NET_LIB) plipconfig.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ plipconfig.o $(NLIB) $(LDLIBS)

netstat:	$(NET_LIB) netstat.o statistics.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ netstat.o statistics.o $(NLIB) $(SELIB) $(LDLIBS)

iptunnel:	$(NET_LIB) iptunnel.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ iptunnel.o $(NLIB) $(LDLIBS)

ipmaddr:	$(NET_LIB) ipmaddr.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ ipmaddr.o $(NLIB) $(LDLIBS)

mii-tool:	$(NET_LIB) mii-tool.o
		$(CC) $(CFLAGS) $(LDFLAGS) -o $@ mii-tool.o $(NLIB) $(LDLIBS)

installbin:
	@echo
	@echo "######################################################"
	@echo "Notice: ifconfig and route are now installed into /bin"
	@echo "######################################################"
	@echo
	install -m 0755 -d ${BASEDIR}${SBINDIR}
	install -m 0755 -d ${BASEDIR}${BINDIR}
	install -m 0755 ifconfig   ${BASEDIR}${BINDIR}
	install -m 0755 nameif     ${BASEDIR}${SBINDIR}
	install -m 0755 netstat    ${BASEDIR}${BINDIR}
	install -m 0755 route      ${BASEDIR}${BINDIR}
ifeq ($(HAVE_ARP_TOOLS),1)
	install -m 0755 arp        ${BASEDIR}${SBINDIR}
	install -m 0755 rarp       ${BASEDIR}${SBINDIR}
endif
ifeq ($(HAVE_HOSTNAME_TOOLS),1)
	install -m 0755 hostname   ${BASEDIR}${BINDIR}
	ln -fs hostname $(BASEDIR)${BINDIR}/dnsdomainname
ifeq ($(HAVE_HOSTNAME_SYMLINKS),1)
	ln -fs hostname $(BASEDIR)${BINDIR}/ypdomainname
	ln -fs hostname $(BASEDIR)${BINDIR}/nisdomainname
	ln -fs hostname $(BASEDIR)${BINDIR}/domainname
endif
ifeq ($(HAVE_AFDECnet),1)
	ln -fs hostname $(BASEDIR)${BINDIR}/nodename
endif
endif
ifeq ($(HAVE_IP_TOOLS),1)
	install -m 0755 ipmaddr    $(BASEDIR)${SBINDIR}
	install -m 0755 iptunnel   $(BASEDIR)${SBINDIR}
endif
ifeq ($(HAVE_MII),1)
	install -m 0755 mii-tool   $(BASEDIR)${SBINDIR}
endif
ifeq ($(HAVE_PLIP_TOOLS),1)
	install -m 0755 plipconfig $(BASEDIR)${SBINDIR}
endif
ifeq ($(HAVE_SERIAL_TOOLS),1)
	install -m 0755 slattach   $(BASEDIR)${SBINDIR}
endif

savebin:
	@for i in ${BASEDIR}${SBINDIR}/arp ${BASEDIR}${SBINDIR}/ifconfig \
                 ${BASEDIR}${BINDIR}/netstat \
		 ${BASEDIR}${SBINDIR}/rarp ${BASEDIR}${SBINDIR}/route \
		 ${BASEDIR}${BINDIR}/hostname ${BASEDIR}${BINDIR}/ypdomainname \
                 ${BASEDIR}${BINDIR}/dnsdomainname ${BASEDIR}${BINDIR}/nisdomainname \
		 ${BASEDIR}${BINDIR}/domainname ; do \
		 [ -f $$i ] && cp -f $$i $$i.old ; done ; echo Saved.

installdata:
	$(MAKE) -C man install
	$(MAKE) -C po install

# End of Makefile.

## net-tools 1.60+git20150829.73cef8a

=== debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (>> 9), gettext, libdnet-dev, libselinux1-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/net-tools/
Vcs-Git: https://anonscm.debian.org/git/pkg-net-tools/pkg-net-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-net-tools/pkg-net-tools.git

Package: net-tools
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat, 
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach, 
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".

## net-tools 1.60+git20161116.90da8a0

=== debian/changelog ===
net-tools (1.60+git20161116.90da8a0-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 Jan 2017 06:25:08 +0200

net-tools (1.60+git20161116.90da8a0-1) unstable; urgency=medium

  * New upstream snapshot.
  * Re-synced translations.patch.
  * Acknowledge NMUs. Thanks a lot to Andrey Rahmatullin for the
    fixes and uploads. Closes: 846509.
  * Fix FTCBFS, thanks to Helmut Grohne for the patch. Closes: #811561.
    + Really assign CC for cross compilation.
    + Use triplet prefixed pkg-config.
  * Add debian/NEWS warning about changing output in net-tools commands.
    Closing bugs that reported problems in 3rd-party scripts arising from these
    changes.  Closes: #845153, #843892, #820212.
  * Update Standards-Version, with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 26 Dec 2016 05:58:42 +0000

net-tools (1.60+git20150829.73cef8a-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an additional fix for the previous FTBFS for some architectures.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 01 Dec 2016 22:49:27 +0500

net-tools (1.60+git20150829.73cef8a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by applying the upstream patch (Closes: #844073).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 20 Nov 2016 15:23:12 +0500

net-tools (1.60+git20150829.73cef8a-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
  * Dropped changes, included in Debian:
    - Make the package Multi-Arch: foreign.
  * Dropped changes:
    - Update Bug#254243-netstat.c-wide-opt.patch: no longer required,
      appears to be fixed upstream per output of 'netstat -W -6 -n -l'.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 10 May 2016 09:30:41 -0700

net-tools (1.60+git20150829.73cef8a-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support. Closes: #666204.

  [ Martín Ferrari ]
  * Mark the package "Multi-Arch: foreign", thanks to Frédéric Brière
    <fbriere@fbriere.net>. Closes: #752584.
  * Fix bug in Portuguese man page, thanks to julianofischer@gmail.com.
    Closes: #805377.

 -- Martín Ferrari <tincho@debian.org>  Thu, 19 Nov 2015 14:48:47 +0000

net-tools (1.60+git20150829.73cef8a-1) unstable; urgency=medium

  * After 14 years without an upstream release, I am producing a new package
    based on today's upstream repository.
    Closes: #391495, #486448, #323261, #260587, #545328, #511395.
  * Remove many patches now merged upstream, delete unmaintainable and
    undocumented local changes, and update the rest.

 -- Martín Ferrari <tincho@debian.org>  Mon, 07 Sep 2015 01:54:07 +0000

net-tools (1.60-27) unstable; urgency=medium

  * Add patch to accept "pointtopoint" as a synonym for "pointopoint".
    Closes: #443075.
  * Add patch to add an example for single route deletion in route.8.
    Closes: #500913.
  * Remove Luk from Uploaders as per his request. Closes: #748491.
  * Fix broken watchfile, thanks to Martin Bagge for the patch.
    Fix upstream homepage. Closes: #770070.
  * Add patch to make mii-tool scan all ethernet devices instead of eth[0-7].
    Closes: #532879, #319508.
  * Add Vcs fields.
  * Update build system to debhelper 9 and 3.0 source format.
  * Update ancient Standards-Version, no changes needed.

 -- Martín Ferrari <tincho@debian.org>  Sun, 06 Sep 2015 17:44:11 +0300

net-tools (1.60-26ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1251563). Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
    - Update Bug#254243-netstat.c-wide-opt.patch:
      + Increase size of remote and local address buffers 64->128.
    - Make the package Multi-Arch: foreign.
  * Dropped overlapping changes in Bug#254243-netstat.c-wide-opt.patch with:
    - Bug#508110-inet6.c-initialize_fields.patch
    - Bug#632660-netstat.c-long_udp6_addr.patch

 -- James Page <james.page@ubuntu.com>  Mon, 30 Jun 2014 12:10:24 +0100

net-tools (1.60-26) unstable; urgency=low

  * Fix wrong exit codes in netstat.c, closes: #541172.
  * Add patch to stop buffer overflows in route -6. Closes: #747006.
  * Add patch to fix wide display for long udp and raw addresses.
    Closes: #632660.
  * Add patch to fix mishandling of 64bit integers in netstat -s.
    Closes: #561161.
  * Add patch to fix printing of uninitialised ipv6 data in netstat.
    Closes: #508110.
  * debian/control: Add ${misc:Depends}, remove 'the' from description.
  * debian/rules: Add missing build-arch and build-indep targets.

 -- Martín Ferrari <tincho@debian.org>  Mon, 12 May 2014 05:12:20 +0000

net-tools (1.60-25ubuntu2) trusty; urgency=medium

  * Make the package Multi-Arch: foreign.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Dec 2013 15:53:10 +0100

net-tools (1.60-25ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.
    - Update Bug#254243-netstat.c-wide-opt.patch:
      + Do not truncate udp6 addresses when using -W.
      + Initialise unused bytes in the v6 address structures.



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/net-tools/
 Vcs-Git: https://anonscm.debian.org/git/pkg-net-tools/pkg-net-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-net-tools/pkg-net-tools.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(origin CC),default)
    CC := $(DEB_HOST_GNU_TYPE)-gcc
endif
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
    PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config
    export PKG_CONFIG
endif

COPTS := -D_GNU_SOURCE -Wall $(shell dpkg-buildflags --get CFLAGS) \
    $(shell dpkg-buildflags --get CPPFLAGS)
LOPTS := $(shell dpkg-buildflags --get LDFLAGS)

PROGS    = ifconfig arp netstat route rarp slattach plipconfig \
    nameif iptunnel ipmaddr mii-tool
MANPAGES = arp.8 ethers.5 ifconfig.8 mii-tool.8 nameif.8 netstat.8 \
	   plipconfig.8 rarp.8 route.8 slattach.8

%:
	dh $@

override_dh_auto_configure:
	[ ! -f config.make ] || mv config.make debian/config.make.bk
	cp -f debian/config.make config.make
	[ ! -f config.h ] || mv config.h debian/config.h.bk
	cp -f debian/config.h config.h

override_dh_auto_build:
	$(MAKE) CC="$(CC)" COPTS="$(COPTS)" LOPTS="$(LOPTS)" PROGS="$(PROGS)"

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clobber
	[ ! -f debian/config.h.bk ] || \
		mv debian/config.h.bk config.h
	[ ! -f debian/config.make.bk ] || \
		mv debian/config.make.bk config.make
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) -C po install BASEDIR=$(CURDIR)/debian/net-tools
	dh_installman --language=de \
		$(wildcard $(addprefix man/de_DE/,$(MANPAGES)))
	dh_installman --language=C \
		$(wildcard $(addprefix man/en_US/,$(MANPAGES)))
	dh_installman --language=fr \
		$(wildcard $(addprefix man/fr_FR/,$(MANPAGES)))
	dh_installman --language=pt_BR \
		$(wildcard $(addprefix man/pt_BR/,$(MANPAGES)))

DEBVERS    ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION    ?= $(shell echo '$(DEBVERS)' | sed 's/^[[:digit:]]*://; s/[-].*//')
DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')
GITCOMMIT  ?= $(shell echo '$(VERSION)' | \
              sed -e 's/.*+git[[:digit:]]*\.\([[:xdigit:]]*\).*/\1/')

gen-orig-tgz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ] ; then \
	    git archive --format=tar.gz --prefix=$(DEBPKGNAME)-$(VERSION)/ \
                $(GITCOMMIT) >../$(DEBPKGNAME)_$(VERSION).orig.tar.gz ; \
	fi

## net-tools 1.60+git20180626.aebd88e

=== man/Makefile ===
#
# man/Makefile	man/ Makefile for the net-tools Package
#
# NET-TOOLS	A collection of programs that form the base set of the
#		NET-3 Networking Distribution for the LINUX operating
#		system.
#
# Version:	Makefile 0.03 (2000-10-08)
#
# Authors:	Bernd Eckenfels <net-tools@lina.inka.de>
#               Arnaldo Carvalhoa de Melo <acme@conectiva.com.br>
#		Copyright 1995-1996 Bernd Eckebnfels, Germany
#                              1998 Arnaldo Carvalho de Melo, Brazil
#
#960322	{0.01}	Bernd Eckenfels:	creation to make main Makefile cleaner
#980701	{0.02}	Arnaldo C. Melo:	making the main Makefile *more* cleaner :)
#001008 {0.03}  Bernd Eckenfels:	RH patch for FHS (man page now in mandir)
#
#
#	This program is free software; you can redistribute it
#	and/or  modify it under  the terms of  the GNU General
#	Public  License as  published  by  the  Free  Software
#	Foundation;  either  version 2 of the License, or  (at
#	your option) any later version.
#

INSTALL=install
mandir=/usr/share/man

-include ../config.make
ifeq ($(I18N),1)
ALL_LANGS = $(filter-out Makefile,$(wildcard *))
ifeq ($(LINGUAS),)
LANGS = $(ALL_LANGS)
else
LANGS = $(sort $(filter $(LINGUAS),$(ALL_LANGS)) en_US)
endif
else
LANGS = en_US
endif

IGNORE_CMDS = ""
ifneq ($(HAVE_ARP_TOOLS),1)
IGNORE_CMDS += |arp.?|rarp.?
endif
ifneq ($(HAVE_HOSTNAME_TOOLS),1)
IGNORE_CMDS += |dnsdomainname.?|hostname.?
endif
ifneq ($(HAVE_HOSTNAME_SYMLINKS),1)
IGNORE_CMDS += |domainname.?|nisdomainname.?|ypdomainname.?
endif
ifneq ($(HAVE_AFDECnet),1)
IGNORE_CMDS += |nodename.?
endif
ifneq ($(HAVE_IP_TOOLS),1)
IGNORE_CMDS += |ipmaddr.?|iptunnel.?
endif
ifneq ($(HAVE_MII),1)
IGNORE_CMDS += |mii-tool.?
endif
ifneq ($(HAVE_PLIP_TOOLS),1)
IGNORE_CMDS += |plipconfig.?
endif
ifneq ($(HAVE_SERIAL_TOOLS),1)
IGNORE_CMDS += |slattach.?
endif

all:

clean:
		rm -f -- DEADJOE *~ *.orig
		rm -f -- */DEADJOE */*~ */*.orig

clobber:	clean

install:
		LANGS='$(LANGS)' ; \
		for LANG in $$LANGS; do \
			cd $$LANG; \
			for SECTION in 1 5 8; do \
				if [ "$$LANG" = "en_US" ] ; then \
					MAN_DIR=${BASEDIR}${mandir}/man$$SECTION; \
				else \
					MAN_DIR=${BASEDIR}${mandir}/$$LANG/man$$SECTION; \
				fi ; \
				$(INSTALL) -d -m 755 $$MAN_DIR; \
				for CMD in *.$$SECTION; do \
					[ -e $$CMD ] || continue; \
					case $$CMD in $(IGNORE_CMDS)) continue;; esac; \
					$(INSTALL) -m 644 $$CMD $$MAN_DIR || exit 1; \
				done; \
			done; \
			cd ..; \
		done

# End of man/Makefile.

=== debian/changelog ===
net-tools (1.60+git20180626.aebd88e-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Feb 2019 10:07:53 -0800

net-tools (1.60+git20180626.aebd88e-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patches.
  * Fix typos in German manpages. Thanks to Prof. Dr. Steffen Wendzel and
    Dr. Tobias Quathamer for the patch. Closes: #900962.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 19:08:57 +0000

net-tools (1.60+git20161116.90da8a0-4) unstable; urgency=medium

  * Update maintainer email address. Closes: #899617.
  * Update Standards-Version with no changes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 24 Sep 2018 17:16:31 +0000

net-tools (1.60+git20161116.90da8a0-3) unstable; urgency=medium

  * debian/control: Update Vcs-* and Standards-Version.
  * debian/control: remove references to ancient package ja-trans.
  * debian/gbp.conf: Update repo layout.

 -- Martín Ferrari <tincho@debian.org>  Tue, 31 Jul 2018 19:09:00 +0000

net-tools (1.60+git20161116.90da8a0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 May 2018 22:23:51 -0700

net-tools (1.60+git20161116.90da8a0-2) unstable; urgency=medium

  * Fix typo in French manpage. Thanks to  Michel Grigaut for the patch.
  * Add manpage for iptunnel, thanks to Sergio Durigan Junior.
    Closes: #88910
  * Rename patches so CME does not choke on them.
  * Automated cme fixes; packaging improvements.
  * Remove unused and ancient patch.

 -- Martín Ferrari <tincho@debian.org>  Sun, 11 Feb 2018 17:29:24 +0000

=== debian/control ===
Source: net-tools
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: net-tools Team <team+net-tools@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Priority: important
Build-Depends: debhelper (>> 11),
               gettext,
               libdnet-dev,
               libselinux1-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/net-tools
Vcs-Git: https://salsa.debian.org/debian/net-tools.git
Homepage: http://sourceforge.net/projects/net-tools/

Package: net-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat,
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach,
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".

=== debian/watch ===
version=3

https://qa.debian.org/watch/sf.php/net-tools/ \
    net-tools-(\d+\.\d+(?:\.\d+)?)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## net-tools 1.60+git20181103.0eebece

=== lib/Makefile ===
#
# lib/Makefile	Makefile for the net-lib function collection
#
# NET-LIB	A collection of functions used from the base set of the
#		NET-2 Networking Distribution for the LINUX operating
#		system.  (net-tools, net-drivers)
#
# Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1993 MicroWalt Corporation
#
#		This program is free software; you can redistribute it
#		and/or  modify it under  the terms of  the GNU General
#		Public  License as  published  by  the  Free  Software
#		Foundation;  either  version 2 of the License, or  (at
#		your option) any later version.
#


HWOBJS	 = hw.o loopback.o slip.o ether.o ax25.o ppp.o arcnet.o tr.o tunnel.o frame.o sit.o rose.o ash.o fddi.o hippi.o hdlclapb.o strip.o irda.o ec_hw.o x25.o eui64.o ib.o
AFOBJS	 = unix.o inet.o inet6.o ax25.o ipx.o ddp.o ipx.o netrom.o af.o rose.o econet.o x25.o
AFGROBJS = inet_gr.o inet6_gr.o ipx_gr.o ddp_gr.o netrom_gr.o ax25_gr.o rose_gr.o getroute.o x25_gr.o
AFSROBJS = inet_sr.o inet6_sr.o netrom_sr.o ipx_sr.o setroute.o x25_sr.o
ACTOBJS  = slip_ac.o ppp_ac.o activate.o
VARIA	 = getargs.o masq_info.o proc.o util.o nstrcmp.o interface.o sockets.o

# Default Name
NET_LIB_NAME = net-tools

ifeq ($(HAVE_IP_TOOLS),1)
VARIA	+= util-ank.o
endif

OBJS	= $(sort $(VARIA) $(AFOBJS) $(HWOBJS) \
		$(AFGROBJS) $(AFSROBJS) $(ACTOBJS))


# This can be overwritten by the TOPLEVEL Makefile
TOPDIR=..
CFLAGS += -I$(TOPDIR) -I$(TOPDIR)/include # -fPIC
SONAME=libnet-tools.so.0

.SUFFIXES: .a .so

all:	lib$(NET_LIB_NAME).a # lib$(NET_LIB_NAME).so

lib$(NET_LIB_NAME).a:	Makefile $(TOPDIR)/config.h $(OBJS)
			@echo Building $@
			@rm -f -- $@
			@$(AR) rcs $@ $(OBJS)

.a.so:;
	$(CC) -o $@ -shared -Wl,--whole-archive -Wl,--soname -Wl,$(SONAME) -nostdlib -nostartfiles $<

clean:
		rm -f -- *.o *~ *.orig lib$(NET_LIB_NAME).a lib$(NET_LIB_NAME).so

clobber:	clean

# End of lib/Makefile.

=== debian/changelog ===
net-tools (1.60+git20181103.0eebece-1ubuntu5.4) jammy-security; urgency=medium

  * SECURITY REGRESSION: Fix regression in statistics info
    - debian/patches/CVE-2025-46836-fix-regression.patch: fix statistic
      regression in lib/interface.c  (LP: #2111912).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 28 May 2025 10:13:23 -0300

net-tools (1.60+git20181103.0eebece-1ubuntu5.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Code execution or crash
    - debian/patches/CVE-2025-46836.patch: fix stack-based buffer
      overflow in get_name() in lib/interface.c.
    - CVE-2025-46836

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 16 May 2025 05:22:47 -0300

net-tools (1.60+git20181103.0eebece-1ubuntu5) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:20:48 +0100

net-tools (1.60+git20181103.0eebece-1ubuntu4) jammy; urgency=low

  * Add new DEP8 tests for hostname and ifconfig (LP: #1679346):
    - d/t/control: add hostname-set-get and ifconfig-lo-info
    - d/t/hostname-set-get: new test
    - d/t/ifconfig-lo-info: new test

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 22 Oct 2021 07:49:06 -0700

net-tools (1.60+git20181103.0eebece-1ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:22 +0200

net-tools (1.60+git20181103.0eebece-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:18:30 +0000

net-tools (1.60+git20181103.0eebece-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ubuntu_unit_conversion.patch:
      + Ubuntu Policy: output using standard SI unit multiples:
        KB (10^3), MB (10^6), GB (10^9), TB (10^12) and PB (10^15).
        Includes manpage update to remove comment about IEC units.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 12:36:42 +0000

net-tools (1.60+git20181103.0eebece-1) unstable; urgency=medium

  * New upstream version 1.60+git20181103.0eebece
    - Fix nstrcmp() to prevent ifconfig from showing
      duplicate interfaces. (Closes: #812886)
  * Fix d/watch to point to upstream git repository
  * Add patch to fix decoding of MII vendor ids. (Closes: #549397)
    - Thanks, Ben Hutchings, for the patch.
  * Add patch to fix Japanese translation which uses a wrong
    Kanji character. (Closes: #621752)
    - Thanks, Takeshi Hamasaki, for the patch.
  * Add patch to fix wrong indentation of "collisions" in  the
    Japanese translation. (Closes: #653117)
    - Thanks, NODA, Kai, for the patch.
  * Fix Uploaders' field.
    - Add myself as an uploader.
    - Fix Tina's details.

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 02 Oct 2020 15:01:04 +0530

net-tools (1.60+git20180626.aebd88e-1ubuntu2) groovy; urgency=medium

  * No change rebuild against new CET ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 18:28:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: net-tools
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: net-tools Team <team+net-tools@tracker.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tina@debian.org>,
+           Utkarsh Gupta <utkarsh@debian.org>
 Section: net
 Priority: important
-Build-Depends: debhelper (>> 11),
+Build-Depends: debhelper-compat (= 12),
                gettext,
                libdnet-dev,
                libselinux1-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/net-tools
 Vcs-Git: https://salsa.debian.org/debian/net-tools.git
 Homepage: http://sourceforge.net/projects/net-tools/

## net-tools 1.60-15ubuntu2

=== Makefile ===
#
# Makefile	Main Makefile for the net-tools Package
#
# NET-TOOLS	A collection of programs that form the base set of the
#		NET-3 Networking Distribution for the LINUX operating
#		system.
#
# Version:	2001-02-13
#
# Author:	Bernd Eckenfels <net-tools@lina.inka.de>
#		Copyright 1995-1996 Bernd Eckenfels, Germany
#
# URLs:		ftp://ftp.inka.de/pub/comp/Linux/networking/NetTools/ 
#		ftp://ftp.linux.org.uk/pub/linux/Networking/PROGRAMS/NetTools/
#		http://www.inka.de/sites/lina/linux/NetTools/index_en.html
#
# Based on:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1988-1993 MicroWalt Corporation
#
# Modifications:
#		Extensively modified from 01/21/94 onwards by
#		Alan Cox <A.Cox@swansea.ac.uk>
#		Copyright 1993-1994 Swansea University Computer Society
#
# Be careful! 
# This Makefile doesn't describe complete dependencies for all include files.
# If you change include files you might need to do make clean. 
#
#	{1.20}	Bernd Eckenfels:	Even more modifications for the new 
#					package layout
#	{1.21}	Bernd Eckenfels:	Check if config.in is newer than 
#					config.status
#	{1.22}  Bernd Eckenfels:	Include ypdomainname and nisdomainame
#
#	1.3.50-BETA6 private Release
#				
#960125	{1.23}	Bernd Eckenfels:	Peter Tobias' rewrite for 
#					makefile-based installation
#	1.3.50-BETA6a private Release
#
#960201 {1.24}	Bernd Eckenfels:	net-features.h added
#
#960201 1.3.50-BETA6b private Release
#
#960203 1.3.50-BETA6c private Release
#
#960204 1.3.50-BETA6d private Release
#
#960204 {1.25}	Bernd Eckenfels:	DISTRIBUTION added
#
#960205 1.3.50-BETA6e private Release
#
#960206	{1.26}	Bernd Eckenfels:	afrt.o removed (cleaner solution)
#
#960215 1.3.50-BETA6f Release
#
#960216 {1.30}	Bernd Eckenfels:	net-lib support
#960322 {1.31}	Bernd Eckenfels:	moveable netlib, TOPDIR
#960424 {1.32}	Bernd Eckenfels:	included the URLs in the Comment
#
#960514 1.31-alpha release
#
#960518 {1.33}	Bernd Eckenfels:	-I/usr/src/linux/include comment added
#
#	This program is free software; you can redistribute it
#	and/or  modify it under  the terms of  the GNU General
#	Public  License as  published  by  the  Free  Software
#	Foundation;  either  version 2 of the License, or  (at
#	your option) any later version.
#

# set the base of the Installation 
# BASEDIR = /mnt

# path to the net-lib support library. Default: lib
NET_LIB_PATH = lib
NET_LIB_NAME = net-tools

PROGS	:= ifconfig arp netstat route rarp slattach plipconfig nameif # hostname

-include config.make
ifeq ($(HAVE_IP_TOOLS),1)
PROGS   += iptunnel ipmaddr
endif
ifeq ($(HAVE_MII),1)
PROGS	+= mii-tool
endif

# Compiler and Linker Options
# You may need to uncomment and edit these if you are using libc5 and IPv6.
COPTS = -D_GNU_SOURCE -O2 -Wall # -g -I/usr/inet6/include
ifeq ($(origin LOPTS), undefined)
LOPTS = 
endif
RESLIB = # -L/usr/inet6/lib -linet6

ifeq ($(HAVE_AFDECnet),1)
DNLIB = -ldnet
endif

# -------- end of user definitions --------

MAINTAINER = Philip.Blundell@pobox.com
RELEASE	   = 1.60

.EXPORT_ALL_VARIABLES:

ifeq ("$(NET_LIB_PATH)","lib2")
TOPDIR   = ..
else
TOPDIR  := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
endif

NET_LIB = $(NET_LIB_PATH)/lib$(NET_LIB_NAME).a

CFLAGS	= $(COPTS) -I. -idirafter ./include/ -I$(NET_LIB_PATH)
LDFLAGS	= $(LOPTS) -L$(NET_LIB_PATH)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
          
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif


SUBDIRS	= man/ $(NET_LIB_PATH)/

ifeq ($(origin CC), undefined)
CC	= gcc
endif
LD	= $(CC)

NLIB	= -l$(NET_LIB_NAME)

MDEFINES = COPTS='$(COPTS)' LOPTS='$(LOPTS)' TOPDIR='$(TOPDIR)'

%.o:		%.c config.h version.h intl.h net-features.h $<
		$(CC) $(CFLAGS) -c $<

all:		config.h version.h subdirs $(PROGS)

config: 	cleanconfig config.h

install:	all savebin installbin installdata

update: 	all installbin installdata

mostlyclean:
		rm -f *.o DEADJOE config.new *~ *.orig lib/*.o

clean: mostlyclean
		rm -f $(PROGS)
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clean) ; done
		@cd po && $(MAKE) clean

cleanconfig:
		rm -f config.h

clobber: 	clean
		rm -f $(PROGS) config.h version.h config.status config.make
		@for i in $(SUBDIRS); do (cd $$i && $(MAKE) clobber) ; done


dist: 		clobber
		@echo Creating net-tools-$(RELEASE) in ..
		@tar -cvz -f ../net-tools-$(RELEASE).tar.gz -C .. net-tools


config.h: 	config.in Makefile 
		@echo "Configuring the Linux net-tools (NET-3 Base Utilities)..." ; echo
		@if [ config.status -nt config.in ]; \
			then ./configure.sh config.status; \
		   else ./configure.sh config.in; \
		 fi


version.h:	Makefile
		@echo "#define RELEASE \"net-tools $(RELEASE)\"" >version.h


$(NET_LIB):	config.h version.h intl.h libdir

i18n.h:		i18ndir

libdir:
		@$(MAKE) -C $(NET_LIB_PATH) $(MDEFINES)

i18ndir:
		@$(MAKE) -C po

subdirs:
		@for i in $(SUBDIRS); do $(MAKE) -C $$i $(MDEFINES) ; done

ifconfig:	$(NET_LIB) ifconfig.o
		$(CC) $(LDFLAGS) -o ifconfig ifconfig.o $(NLIB) $(RESLIB)
		
nameif:	nameif.o
		$(CC) $(LDFLAGS) -o nameif nameif.o 

hostname:	hostname.o
		$(CC) $(LDFLAGS) -o hostname hostname.o $(DNLIB)

route:		$(NET_LIB) route.o
		$(CC) $(LDFLAGS) -o route route.o $(NLIB) $(RESLIB)

arp:		$(NET_LIB) arp.o
		$(CC) $(LDFLAGS) -o arp arp.o $(NLIB) $(RESLIB)

rarp:		$(NET_LIB) rarp.o
		$(CC) $(LDFLAGS) -o rarp rarp.o $(NLIB)

slattach:	$(NET_LIB) slattach.o
		$(CC) $(LDFLAGS) -o slattach slattach.o $(NLIB)

plipconfig:	$(NET_LIB) plipconfig.o
		$(CC) $(LDFLAGS) -o plipconfig plipconfig.o $(NLIB)

netstat:	$(NET_LIB) netstat.o statistics.o
		$(CC) $(LDFLAGS) -o netstat netstat.o statistics.o $(NLIB) $(RESLIB)

iptunnel:	$(NET_LIB) iptunnel.o
		$(CC) $(LDFLAGS) -o iptunnel iptunnel.o $(NLIB) $(RESLIB)

ipmaddr:	$(NET_LIB) ipmaddr.o
		$(CC) $(LDFLAGS) -o ipmaddr ipmaddr.o $(NLIB) $(RESLIB)

mii-tool:	mii-tool.o
		$(CC) $(LDFLAGS) -o mii-tool mii-tool.o

installbin:
	install -m 0755 -d ${BASEDIR}/sbin
	install -m 0755 -d ${BASEDIR}/bin
	$(INSTALL_PROGRAM) arp        ${BASEDIR}/sbin
#	$(INSTALL_PROGRAM) hostname   ${BASEDIR}/bin
	$(INSTALL_PROGRAM) ifconfig   ${BASEDIR}/sbin
	$(INSTALL_PROGRAM) nameif     ${BASEDIR}/sbin
	$(INSTALL_PROGRAM) netstat    ${BASEDIR}/bin
	$(INSTALL_PROGRAM) plipconfig $(BASEDIR)/sbin
	$(INSTALL_PROGRAM) rarp       ${BASEDIR}/sbin
	$(INSTALL_PROGRAM) route      ${BASEDIR}/sbin
	$(INSTALL_PROGRAM) slattach   $(BASEDIR)/sbin
ifeq ($(HAVE_IP_TOOLS),1)
	$(INSTALL_PROGRAM) ipmaddr    $(BASEDIR)/sbin
	$(INSTALL_PROGRAM) iptunnel   $(BASEDIR)/sbin
endif
ifeq ($(HAVE_MII),1)
	$(INSTALL_PROGRAM) mii-tool   $(BASEDIR)/sbin
endif
#	ln -fs hostname $(BASEDIR)/bin/dnsdomainname
#	ln -fs hostname $(BASEDIR)/bin/ypdomainname
#	ln -fs hostname $(BASEDIR)/bin/nisdomainname
#	ln -fs hostname $(BASEDIR)/bin/domainname
#ifeq ($(HAVE_AFDECnet),1)
#	ln -fs hostname $(BASEDIR)/bin/nodename
#endif

savebin:
	@for i in ${BASEDIR}/sbin/arp ${BASEDIR}/sbin/ifconfig \
                 ${BASEDIR}/bin/netstat \
		 ${BASEDIR}/sbin/rarp ${BASEDIR}/sbin/route \
		 ${BASEDIR}/bin/hostname ${BASEDIR}/bin/ypdomainname \
                 ${BASEDIR}/bin/dnsdomainname ${BASEDIR}/bin/nisdomainname \
		 ${BASEDIR}/bin/domainname ; do \
		 [ -f $$i ] && cp -f $$i $$i.old ; done ; echo Saved.

installdata:
	$(MAKE) -C man install
	$(MAKE) -C po install

# End of Makefile.

=== lib/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #
 
 
-HWOBJS	 = hw.o loopback.o slip.o ether.o ax25.o ppp.o arcnet.o tr.o tunnel.o frame.o sit.o rose.o ash.o fddi.o hippi.o hdlclapb.o strip.o irda.o ec_hw.o x25.o eui64.o ib.o
+HWOBJS	 = hw.o loopback.o slip.o ether.o ax25.o ppp.o arcnet.o tr.o tunnel.o frame.o sit.o rose.o ash.o fddi.o hippi.o hdlclapb.o strip.o irda.o ec_hw.o x25.o eui64.o
 AFOBJS	 = unix.o inet.o inet6.o ax25.o ipx.o ddp.o ipx.o netrom.o af.o rose.o econet.o x25.o
 AFGROBJS = inet_gr.o inet6_gr.o ipx_gr.o ddp_gr.o netrom_gr.o ax25_gr.o rose_gr.o getroute.o x25_gr.o
 AFSROBJS = inet_sr.o inet6_sr.o netrom_sr.o ipx_sr.o setroute.o x25_sr.o
@@ -36,7 +36,7 @@
 
 # This can be overwritten by the TOPLEVEL Makefile
 TOPDIR=..
-CFLAGS += -I$(TOPDIR) -I$(TOPDIR)/include # -fPIC
+CFLAGS += -I$(TOPDIR) -idirafter $(TOPDIR)/include # -fPIC
 SONAME=libnet-tools.so.0
 
 .SUFFIXES: .a .so
@@ -45,14 +45,14 @@
 
 lib$(NET_LIB_NAME).a:	Makefile $(TOPDIR)/config.h $(OBJS)
 			@echo Building $@
-			@rm -f -- $@
+			@rm -f $@
 			@$(AR) rcs $@ $(OBJS)
 
 .a.so:;
 	$(CC) -o $@ -shared -Wl,--whole-archive -Wl,--soname -Wl,$(SONAME) -nostdlib -nostartfiles $<
 
 clean:
-		rm -f -- *.o *~ *.orig lib$(NET_LIB_NAME).a lib$(NET_LIB_NAME).so
+		rm -f *.o *~ *.orig lib$(NET_LIB_NAME).a lib$(NET_LIB_NAME).so
 
 clobber:	clean

=== debian/changelog ===
net-tools (1.60-15ubuntu2) breezy; urgency=low

  * Look up TCP/UDP protocol numbers using correct protocol, not
    always UDP.  (Bug introduced in 1.60-15ubuntu1.)
    Ubuntu 7294, Debian #254243.

 -- Ian Jackson <iwj@ubuntu.com>  Thu, 29 Sep 2005 18:02:23 +0100

net-tools (1.60-15ubuntu1) breezy; urgency=low

  * Do not truncate numeric IPv6 addresses in netstat TCP and UDP.
    The new output format is not parseable with the same algorithms as
    before because it will be flexible about field widths, but it will not
    be used unless it is necessary to avoid truncating numeric addresses,
    so no existing non-broken netstat-output parsing code will be broken.
    (Also: made 4 copies(!) of endpoint formatting code into one
    common function.  Urgh.)  Ubuntu 7294, Debian #254243.

 -- Ian Jackson <iwj@ubuntu.com>  Tue, 20 Sep 2005 15:28:53 +0100

net-tools (1.60-13) unstable; urgency=low  Thu, 30 Jun 2005 20:49:57 +0200

  * X25 code compiles with 2.4 and 2.6 kernel headers (Closes: Bug#271678)
  * IMPORTANT: make ifconfig show alias interfaces in 2.6 again. 
  * resort media type array to match kernel (Closes: Bug#199920)

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 17 May 2005 01:28:51 +0200

## net-tools 1.60-23maemo1

=== debian/changelog ===
net-tools (1.60-23maemo1) fremantle; urgency=low

  * Initial release for maemo, only includes netstat

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 03:35:26 +0300

=== debian/control ===
Source: net-tools
Section: net
Priority: important
Build-Depends: debhelper (> 5), gettext, quilt
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com> 
XSBC-Original-Maintainer: net-tools Team <pkg-net-tools-maintainers@lists.alioth.debian.org>, Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Luk Claes <luk@debian.org>, Martín Ferrari <tincho@debian.org>
Standards-Version: 3.8.1

Package: netstat
Architecture: any
Depends: ${shlibs:Depends}
Replaces: netbase (<< 4.00), ja-trans (<= 0.8-2)
Conflicts: ja-trans (<= 0.8-2)
Description: Non busybox netstat in a small easy to install package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	[ ! -f config.make ] || mv config.make debian/config.make.bk
	cp -f debian/config.make config.make
	[ ! -f config.h ] || mv config.h debian/config.h.bk
	cp -f debian/config.h config.h
	dh_testdir
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) PROGS="netstat"
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clobber
	[ ! -f debian/config.h.bk ] || \
		mv debian/config.h.bk config.h
	[ ! -f debian/config.make.bk ] || \
		mv debian/config.make.bk config.make
	dh_clean

MANPAGES = netstat.8 \
#	arp.8 \
#	ethers.5 \ 
#	ifconfig.8 \
#	mii-tool.8 \
#	nameif.8 \
#	plipconfig.8 \
#	rarp.8 \
#	route.8 \ 
#	slattach.8

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs bin sbin usr/sbin
	dh_install
	$(MAKE) -C po install BASEDIR=$(CURDIR)/debian/netstat
#	dh_installman --language=de \
#		$(wildcard $(addprefix man/de_DE/,$(MANPAGES)))
#	dh_installman --language=C \
#		$(wildcard $(addprefix man/en_US/,$(MANPAGES)))
#	dh_installman --language=fr \
#		$(wildcard $(addprefix man/fr_FR/,$(MANPAGES)))
#	dh_installman --language=pt_BR \
#		$(wildcard $(addprefix man/pt_BR/,$(MANPAGES)))
	rmdir $(CURDIR)/debian/netstat/bin
	rmdir $(CURDIR)/debian/netstat/usr/sbin
	rmdir $(CURDIR)/debian/netstat/sbin

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README README.ipv6 TODO
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep \
	install-arch

## net-tools 1.60-cl4.3.1u4

=== debian/changelog ===
net-tools (1.60-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    cd413c103e15f5ee1a1d10f8e1b2c239abe07623

 -- root <root@3da22e72fb7c>  Wed, 15 Jun 2022 00:55:55 +0000

net-tools (1.60-cl4u1) RELEASED; urgency=medium

  [ Cumulus Networks ]
  * Initial import of debian buster net-tools 1.60+git20180626.aebd88e

  [ Roopa Prabhu ]
  * lib: interfaces: allow more room in iface name format specifier to avoid truncation

 -- Cumulus Networks <dev-support@cumulusnetworks.com>  Thu, 18 Apr 2019 14:19:40 -0700

=== debian/control ===
Source: net-tools
Maintainer: net-tools Team <team+net-tools@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
Section: net
Priority: important
Build-Depends: debhelper (>> 11),
               gettext,
               libdnet-dev,
               libselinux1-dev,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/net-tools
Vcs-Git: https://salsa.debian.org/debian/net-tools.git
Homepage: http://sourceforge.net/projects/net-tools/
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: cd413c103e15f5ee1a1d10f8e1b2c239abe07623

Package: net-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: NET-3 networking toolkit
 This package includes the important tools for controlling the network
 subsystem of the Linux kernel.  This includes arp, ifconfig, netstat,
 rarp, nameif and route.  Additionally, this package contains utilities
 relating to particular network hardware types (plipconfig, slattach,
 mii-tool) and advanced aspects of IP configuration (iptunnel, ipmaddr).
 .
 In the upstream package 'hostname' and friends are included. Those are
 not installed by this package, since there is a special "hostname*.deb".
XBCS-Vcs-Hash: cd413c103e15f5ee1a1d10f8e1b2c239abe07623
